%define		debug_package %{nil}

Name:		python-flask-allows
Version:	0.5.0
Release:	1.ndias%{?dist}
Summary:	Authorization tools for Flask

Group:		Development/Libraries
License:	MIT
URL:		https://github.com/justanr/flask-allows
Source0:	https://github.com/justanr/flask-allows/archive/v0.5.0.zip#/flask-allows-%{version}.zip
BuildArch:	noarch

BuildRequires:	python, python2-setuptools, python2-devel

%description
Flask-Allows is an authorization tool for Flask inspired by
django-rest-framework's permissioning system and rest_condition's ability to
compose simple requirements into more complex ones.

%prep
%setup -q -n flask-allows-%{version}


%build
python setup.py build

%install
python setup.py install -O1 --root=%{buildroot}

%files
%doc AUTHORS CHANGELOG LICENSE

%dir %{python2_sitelib}/flask_allows-%{version}-py%{python_version}.egg-info
%dir %{python2_sitelib}/flask_allows

%{python2_sitelib}/flask_allows-%{version}-py%{python_version}.egg-info/PKG-INFO
%{python2_sitelib}/flask_allows-%{version}-py%{python_version}.egg-info/SOURCES.txt
%{python2_sitelib}/flask_allows-%{version}-py%{python_version}.egg-info/dependency_links.txt
%{python2_sitelib}/flask_allows-%{version}-py%{python_version}.egg-info/not-zip-safe
%{python2_sitelib}/flask_allows-%{version}-py%{python_version}.egg-info/requires.txt
%{python2_sitelib}/flask_allows-%{version}-py%{python_version}.egg-info/top_level.txt
%{python2_sitelib}/flask_allows/__init__.py*
%{python2_sitelib}/flask_allows/allows.py*
%{python2_sitelib}/flask_allows/permission.py*
%{python2_sitelib}/flask_allows/requirements.py*
%{python2_sitelib}/flask_allows/views.py*


%changelog
* Mon Dec 17 2018 Nuno Dias <Nuno.Dias@gmail.com> - 0.5.0-1.ndias
- Version 0.5.0
